Skip to content
POST /assistant/settings/test-key

Request Body

anthropic_api_keystring

Response Body

okboolean
curl -X POST 'https://api.truto.one/assistant/settings/test-key' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "anthropic_api_key": "your_anthropic_api_key"
}'
const body = {
  "anthropic_api_key": "your_anthropic_api_key"
};

const response = await fetch('https://api.truto.one/assistant/settings/test-key', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/assistant/settings/test-key"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}
payload = {
    "anthropic_api_key": "your_anthropic_api_key"
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())